Skip to main content
POST
create-org-workspace

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skipAddingCurrentUser
boolean

Body

application/json
orgId
string
required

Organization ID to create the workspace in

name
string

Name of the workspace

Minimum string length: 1
logoUri
string

URI for the workspace logo

membraneInstanceId
string

[INTERNAL] Membrane instance ID

Response

200 - application/json

Create a workspace in an organization.

id
string
required
name
string
required
orgId
string
required
key
string
required

Unique workspace key

secret
string
required

[INTERNAL] Workspace secret

createdAt
any
required
updatedAt
any
required
apiBaseUri
string

[INTERNAL] API base URI

featureFlags
string[]

[INTERNAL] Feature flags

logoUri
string

URI for the workspace logo

membraneInstanceId
string

[INTERNAL] Membrane instance ID

operatorLimits
object

[INTERNAL] Operator-set limit overrides stored on the hub. Mirrored to the instance via PUT /workspaces/:key/limits.

operatorLimitsSyncedAt
any

[INTERNAL] Last time operatorLimits were successfully mirrored to the owning instance.

operatorLimitsSyncError
string

[INTERNAL] Last error message from a failed mirror attempt; cleared after a successful sync.

limits
object
settings
object
publicKeys
object[]
userFieldsSchema
any
webhookUri
string
enabledWebhookEvents
string[]
alertDeliverySettings
object
jwksUri
string | null
type
enum<string>

Workspace type (production or development)

Available options:
production,
development
isReadOnly
boolean

Whether the workspace is in read-only mode